Summary:	A lightweight system monitor
Name:		conky
Version:	1.7.1.1
Release:	%mkrel 2
License:	GPLv3+
Group:		Monitoring
Url:		http://conky.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	curl-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	X11-devel
BuildRequires:	libxslt-proc
BuildRequires:	libiw-devel
BuildRequires:	lua-devel
BuildRequires:	libalsa-devel
BuildRequires:	imlib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Conky is a free, light-weight system monitor for X, 
that displays any information on your desktop.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--enable-ibm \
	--enable-rss \
	--enable-wlan \
	--enable-imlib2 \
	--enable-openmp

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Sat Jul 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1.1-2mdv2009.0
+ Revision: 397059
- add Florian Hubold's suggests to enable more features

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1.1-1mdv2010.0
+ Revision: 390367
- disable lua support
- update to new version 1.7.1.1

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 373897
- update to new version 1.7.0

* Fri Aug 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.1-1mdv2009.0
+ Revision: 275144
- update to new version 1.6.1

* Sun Jul 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2009.0
+ Revision: 250440
- update to new version 1.6.0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.1-1mdv2009.0
+ Revision: 203290
- add sources and spec file
- Created package structure for conky.

